# RPM specfile for gnomemm module
# Generated Sat May  4 21:22:26 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.22 2002/03/27 19:44:22 dobey Exp $

%define nam	gnomemm
%define ver	1.2.2
%define ximrev	2

Name:     	gnomemm
Version: 	1.2.2
Release:	1.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	gnomemm-1.2.2.tar.gz
Summary:	C++ bindings for GNOME
Group:		System Environment/Libraries
Requires:	gnome-libs >= 1.2.8
Requires:	gtkmm >= 1.2.5
Provides:	ximian-gnomemm = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description

C++ Lanugage bindings for the GNOME Libraries.


%files
%defattr(-, root, root)
%doc INSTALL NEWS TODO README
/usr/lib/*.so.*


%post
ldconfig

%postun
ldconfig

%package -n gnomemm-devel
Summary:	C++ bindings for GNOME
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	gnome-libs-devel
Requires:	gtkmm-devel
Provides:	ximian-gnomemm-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnomemm-devel

C++ Lanugage bindings for the GNOME Libraries.


%files -n gnomemm-devel
%defattr(-, root, root)
/usr/lib/*.so
/usr/lib/*.la
/usr/lib/*.sh
/usr/include/*
/usr/share/aclocal/gnome--.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnomemm-1.2.2
    ;;
all)
%setup  -q -n gnomemm-1.2.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sat May 4 2002 Ximian, Inc.

- Version: 1.2.2-1.ximian.2
- Summary: New build.
- New automated build.

